SURFACETRANSFORMPOINTS(1)

NAME
surfaceTransformPoints - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
surfaceTransformPoints [OPTIONS] input output

DESCRIPTION
Transform (translate / rotate / scale) surface points.
Like transformPoints but for surfaces.
Note: roll=rotate about x, pitch=rotate about y, yaw=rotate about z

ARGUMENTS

input
    The input surface file

output
    The output surface file

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-origin point
    Use specified <point> as origin for rotations

-rollPitchYaw vector
    Rotate by '(roll pitch yaw)' degrees

-rotate (vectorA vectorB)
    Rotate from <vectorA> to <vectorB> - eg, '((1 0 0) (0 0 1))'

-rotate-angle (vector scalar)
    Rotate <angle> degrees about <vector> - eg, '((1 0 0) 45)'

-scale scalar | vector
    Scale by the specified amount - Eg, for uniform [mm] to [m] scaling use either

-translate vector
    Translate by specified <vector> - eg, '(1 0 0)' before rotations

-yawPitchRoll vector
    Rotate by '(yaw pitch roll)' degrees

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.